function runscript()
	if (getflag(FLAG_JOHNNY_BOSS) == FLAG_OFF) then
		speaker("johnny");
		--mus("johnny");
		createnpc("exclam", 15, 3);
		sound("enemyhurt1", 3);
		wait(50);
		say("Hold it,|| buster!")
		destroy("exclam");
		wait(10);
		walktox("johnny", 14);
		wait(30);
		say("The name's Johnny./n||||Johnny B. Good...");
		say("||But no one calls me that besides my ma --/n||||(...Bless her soul...)||/n||||-- and you ain't look much like my ma.");
		say("So you can just call me Johnny Five Aces,|| on account of I'm a no-good cheat.");
		wait(50);
		say("||You're looking for the mayor, ain't you...");
		say("Bad news||, doc.|||| You can't exactly hold a mayor up for ransom if you ain't got a mayor,|| now can you?");
		say("Being as such,|| I ain't gonna just hand him over to you like you probably wanted...");
		say("So you'd better just git, and skidaddle all quick like before you get me all steamed up.");
		wait(100);
		say("What part of 'git' and 'skidaddle' ain't you understand,|| padre?");
		wait(50);
		sound("jump",CHAN_SCRIPTED);
		setgravity("johnny", 6)
		setanimtemplate("johnny", ANIM_JUMP_LEFT);
		jump("johnny", -1)
		movex("johnny", 13, 2)
		fallto("johnny", 8);
		sound("land",CHAN_SCRIPTED);
		setanimtemplate("johnny", ANIM_STAND_LEFT);
		wait(30);
		musfadeout(300)
		say ("Johnny Five Aces's got a problem,|| and when Johnny Five Aces's got a problem,|| you've got a problem.");
		wait(10);
		say ("I ain't wanted to do have to do this,|| but it's time for me to take out the Johnny Gun...");
		wait(10);
		say ("Now you shall bear witness to the demon weapon that will drag the world into the 21st century.||.||.||!");
		wait(50);
		say ("||Say yer prayers...|||| Buster.");
		mus("johnny")
		wait(50);
		destroy("johnny");
		create("johnny", 13, 8, "", "");
		wait(100);
		say ("||(...Wait a sec...)");
		say ("||(Where'd I put the darn thing?)");
		setflag(FLAG_JOHNNY_BOSS, FLAG_ON);
	end
end